ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-21490) Ambari Schema Upgrade fails : Unknown column 'from_version' in 'field list'
Date Mon, 17 Jul 2017 16:28:00 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-21490?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16090027#comment-16090027
] 

Hudson commented on AMBARI-21490:
---------------------------------

SUCCESS: Integrated in Jenkins build Ambari-branch-2.5 #1701 (See [https://builds.apache.org/job/Ambari-branch-2.5/1701/])
AMBARI-21490 Ambari Schema Upgrade fails : Unknown column 'from_version' (hapylestat: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=651fe3d706185992e107486ee69059ec8eccf909])
* (edit) ambari-server/src/main/java/org/apache/ambari/server/orm/DBAccessor.java
* (edit) ambari-server/src/main/java/org/apache/ambari/server/upgrade/UpgradeCatalog220.java
* (edit) ambari-server/src/main/java/org/apache/ambari/server/orm/DBAccessorImpl.java
* (edit) ambari-server/src/main/java/org/apache/ambari/server/upgrade/UpgradeCatalog252.java


> Ambari Schema Upgrade fails : Unknown column 'from_version' in 'field list'
> ---------------------------------------------------------------------------
>
>                 Key: AMBARI-21490
>                 URL: https://issues.apache.org/jira/browse/AMBARI-21490
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-sever
>    Affects Versions: trunk, 2.5.2
>            Reporter: Dmytro Grinenko
>            Assignee: Dmytro Grinenko
>            Priority: Blocker
>             Fix For: trunk, 2.5.2
>
>         Attachments: AMBARI-21490-branch-2.5.patch
>
>
> {code}
> 2017-07-12 07:51:24,251 WARN com.hw.ambari.ui.tests.upgrade.AmbariUpgradeOnly.upgradeCluster():
Detected ambari-server version build is: <ambari-server-2.5.2.0-114.x86_64>
> 2017-07-12 07:51:24,860 WARN com.hw.ambari.ui.tests.upgrade.AmbariUpgradeOnly.upgradeCluster():
Detected ambari-server version hash is: <d2ee45733e0c63d589f535866e6584b42d91126e>
> {code}
> {code}
> 2017-07-12 07:51:26,092 INFO com.hw.ambari.ui.util.cluster_managers.CommandExecutor.executeCommandSequence():
Sending command [ambari-server upgrade --verbose]
> 2017-07-12 07:51:26,092 INFO com.hw.ambari.ui.util.cluster_managers.CommandExecutor.executeCommandSequence():
Sending command []
> 2017-07-12 07:52:02,688 INFO com.hw.ambari.ui.util.cluster_managers.CommandExecutor.executeCommandSequence():
[OUTPUT STREAM]
> Using python  /usr/bin/python
> Upgrading ambari-server
> INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> INFO: Upgrade Ambari Server
> INFO: Updating Ambari Server properties in ambari.properties ...
> INFO: Updating Ambari Server properties in ambari-env.sh ...
> WARNING: Original file ambari-env.sh kept
> WARNING: Original file krb5JAASLogin.conf kept
> INFO: File krb5JAASLogin.conf updated.
> INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> INFO: No mpack replay logs found. Skipping replaying mpack commands
> INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> INFO: Fixing database objects owner
> INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> Ambari Server configured for MySQL. Confirm you have made a backup of the Ambari Server
database [y/n] (y)? INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> INFO: Upgrading database schema
> INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> INFO: AMBARI_SERVER_LIB is not set, using default /usr/lib/ambari-server
> INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
> INFO: about to run command: /usr/jdk64/jdk1.7.0_67/bin/java -cp '/etc/ambari-server/conf:/usr/lib/ambari-server/*:/usr/share/java/mysql-connector-java.jar'
org.apache.ambari.server.upgrade.SchemaUpgradeHelper > /var/log/ambari-server/ambari-server.out
2>&1
> INFO: 
> process_pid=22161
> INFO: Return code from schema upgrade command, retcode = 1
> ERROR: Error executing schema upgrade, please check the server logs.
> ERROR: Error output from schema upgrade command:
> ERROR: com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: Unknown column 'from_version'
in 'field list'
> 	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
> 	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
> 	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
> 	at java.lang.reflect.Constructor.newInstance(Constructor.java:526)
> 	at com.mysql.jdbc.Util.handleNewInstance(Util.java:377)
> 	at com.mysql.jdbc.Util.getInstance(Util.java:360)
> 	at com.mysql.jdbc.SQLError.createSQLException(SQLError.java:978)
> 	at com.mysql.jdbc.MysqlIO.checkErrorPacket(MysqlIO.java:3887)
> 	at com.mysql.jdbc.MysqlIO.checkErrorPacket(MysqlIO.java:3823)
> 	at com.mysql.jdbc.MysqlIO.sendCommand(MysqlIO.java:2435)
> 	at com.mysql.jdbc.MysqlIO.sqlQueryDirect(MysqlIO.java:2582)
> 	at com.mysql.jdbc.ConnectionImpl.execSQL(ConnectionImpl.java:2526)
> 	at com.mysql.jdbc.ConnectionImpl.execSQL(ConnectionImpl.java:2484)
> 	at com.mysql.jdbc.StatementImpl.executeQuery(StatementImpl.java:1446)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog220.populateUpgradeTable(UpgradeCatalog220.java:517)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog220.executeStackUpgradeDDLUpdates(UpgradeCatalog220.java:469)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog220$$EnhancerByGuice$$fbf5065b.CGLIB$executeStackUpgradeDDLUpdates$17(<generated>)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog220$$EnhancerByGuice$$fbf5065b$$FastClassByGuice$$ac2def54.invoke(<generated>)
> 	at com.google.inject.internal.cglib.proxy.$MethodProxy.invokeSuper(MethodProxy.java:228)
> 	at com.google.inject.internal.InterceptorStackCallback$InterceptedMethodInvocation.proceed(InterceptorStackCallback.java:72)
> 	at org.apache.ambari.server.orm.AmbariJpaLocalTxnInterceptor.invoke(AmbariJpaLocalTxnInterceptor.java:128)
> 	at com.google.inject.internal.InterceptorStackCallback$InterceptedMethodInvocation.proceed(InterceptorStackCallback.java:72)
> 	at com.google.inject.internal.InterceptorStackCallback.intercept(InterceptorStackCallback.java:52)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog220$$EnhancerByGuice$$fbf5065b.executeStackUpgradeDDLUpdates(<generated>)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog220.executePreDMLUpdates(UpgradeCatalog220.java:281)
> 	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.preUpgradeData(AbstractUpgradeCatalog.java:930)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executePreDMLUpdates(SchemaUpgradeHelper.java:223)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:430)
> Exception in thread "main" org.apache.ambari.server.AmbariException: Errors found while
populating the upgrade table with values for columns upgrade_type and upgrade_package.
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executePreDMLUpdates(SchemaUpgradeHelper.java:226)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:430)
> Caused by: org.apache.ambari.server.AmbariException: Errors found while populating the
upgrade table with values for columns upgrade_type and upgrade_package.
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog220.executeStackUpgradeDDLUpdates(UpgradeCatalog220.java:472)
> 	at org.apache.ambari.server.orm.AmbariJpaLocalTxnInterceptor.invoke(AmbariJpaLocalTxnInterceptor.java:128)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog220.executePreDMLUpdates(UpgradeCatalog220.java:281)
> 	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.preUpgradeData(AbstractUpgradeCatalog.java:930)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executePreDMLUpdates(SchemaUpgradeHelper.java:223)
> 	... 1 more
> ERROR: Ambari server upgrade failed. Please look at /var/log/ambari-server/ambari-server.log,
for more details.
> ERROR: Exiting with exit code 11. 
> REASON: Schema upgrade failed.
> [ERROR STREAM]
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message